p ={}
g = love.graphics
lvm = love.math.random
require 'player'
require 'enemy'

function MakeEnemy()
	local Enemy = EnemyClass(
	{dead = nil,
	color1 = lvm(0,255),
	color2 = lvm(0,255),
	color3 = lvm(150,255),
	x = 820,
	y = lvm(0,580)})
	table.insert(enemyList, Enemy)
end

function MakePlayer()
	local Player = PlayerClass(
	{s = 100,
	x = 100,
	y = 300})
	table.insert(playerList, Player)
end

function Timer(dt)
	timer = timer + 1*dt
	if timer >= 3 then
	timer = 0
	MakeEnemy()
	end

end


--============================--
--============================--
--============================--

function love.load()
	timer=0

	function love.keypressed(key)
		if key == "a" then
			table.remove(enemyList,Enemy)
		end
		if key == "c" then
		MakePlayer()
		end
	end	


end

function love.update(dt)

Movement(dt)
Timer(dt)
EnemyMove(dt)

	for i,v in ipairs(enemyList) do
	if v.x <=100 then
	v.dead = true
	end
	end

end

function love.draw()
-- timer, cords ect.
	g.setColor(225,225,225)
	g.print(string.format("%.2f", timer) ,600, 40)
	g.print(#enemyList,600,60)
	g.print(#playerList,600,80)
-- end of timers, cords ect.
	DrawPlayer()
	
	for i,v in ipairs(enemyList) do
	if v.dead ~= true then
		g.setColor (v.color1, v.color2, v.color3)
		g.rectangle("line", v.x, v.y, 20, 20)
	end
	end

end